Debian Bug report logs - #512534
mutt: minibuffer/status line uses wrong namespace separator

version graph

Package: mutt; Maintainer for mutt is Antonio Radici <antonio@dyne.org>; Source for mutt is src:mutt.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Wed, 21 Jan 2009 14:42:01 UTC

Severity: normal

Tags: confirmed, upstream

Merged with 530671, 534912

Found in versions mutt/1.5.19-1, mutt/1.5.19-3, mutt/1.5.20-2

Forwarded to http://bugs.mutt.org/3242

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Berg <myon@debian.org>:
Bug#512534; Package mutt. (Wed, 21 Jan 2009 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Christoph Berg <myon@debian.org>. (Wed, 21 Jan 2009 14:42:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mutt: minibuffer/status line uses wrong namespace separator
Date: Wed, 21 Jan 2009 14:39:39 +0000
[Message part 1 (text/plain, inline)]
Package: mutt
Version: 1.5.19-1
Severity: minor

When mutt displays an IMAP folder name in the minibuffer/status line[0],
it uses a slash (/) to display the separator, when the server uses a dot
(.).  In other cases, mutt displays the separator correctly (like when
displaying the folder name in the folder view, or when typing "?" at the
change folder prompt to view all the subscribed folders).  Obviously,
mutt should use the proper namespace separator at all times.

This only occurs in the version in experimental; the version in unstable
behaves correctly.  If someone needs an account to test this, I can do
that, but the server is only set up for GSSAPI (Kerberos 5)
authentication, so that person will need to be able to handle that.


[0] This includes "New mail in ..." as well as using "c" to change
folders.

-- Package-specific info:
Mutt 1.5.19 (2009-01-05)
Copyright (C) 1996-2009 Michael R. Elkins and others.
Mutt comes with ABSOLUTELY NO WARRANTY; for details type `mutt -vv'.
Mutt is free software, and you are welcome to redistribute it
under certain conditions; type `mutt -vv' for details.

System: Linux 2.6.28-1-amd64 (x86_64)
ncurses: ncurses 5.7.20090110 (compiled with 5.7)
libidn: 1.10 (compiled with 1.10)
hcache backend: GDBM version 1.8.3. 10/15/2002 (built Aug 27 2008 08:41:43)
Compile options:
-DOMAIN
+DEBUG
-HOMESPOOL  +USE_SETGID  +USE_DOTLOCK  +DL_STANDALONE  +USE_FCNTL  -USE_FLOCK   
+USE_POP  +USE_IMAP  +USE_SMTP  
-USE_SSL_OPENSSL  +USE_SSL_GNUTLS  +USE_SASL  +USE_GSS  +HAVE_GETADDRINFO  
+HAVE_REGCOMP  -USE_GNU_REGEX  
+HAVE_COLOR  +HAVE_START_COLOR  +HAVE_TYPEAHEAD  +HAVE_BKGDSET  
+HAVE_CURS_SET  +HAVE_META  +HAVE_RESIZETERM  
+CRYPT_BACKEND_CLASSIC_PGP  +CRYPT_BACKEND_CLASSIC_SMIME  -CRYPT_BACKEND_GPGME  
-EXACT_ADDRESS  -SUN_ATTACHMENT  
+ENABLE_NLS  -LOCALES_HACK  +COMPRESSED  +HAVE_WC_FUNCS  +HAVE_LANGINFO_CODESET  +HAVE_LANGINFO_YESEXPR  
+HAVE_ICONV  -ICONV_NONTRANS  +HAVE_LIBIDN  +HAVE_GETSID  +USE_HCACHE  
-ISPELL
SENDMAIL="/usr/sbin/sendmail"
MAILPATH="/var/mail"
PKGDATADIR="/usr/share/mutt"
SYSCONFDIR="/etc"
EXECSHELL="/bin/sh"
MIXMASTER="mixmaster"
To contact the developers, please mail to <mutt-dev@mutt.org>.
To report a bug, please visit http://bugs.mutt.org/.

patch-1.5.13.cd.ifdef.2
patch-1.5.13.cd.purge_message.3.4
patch-1.5.13.nt+ab.xtitles.4
patch-1.5.18.rr.compressed.1
patch-1.5.4.vk.pgp_verbose_mime
patch-1.5.6.dw.maildir-mtime.1

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mutt depends on:
ii  libc6                 2.7-18             GNU C Library: Shared libraries
ii  libcomerr2            1.41.3-1           common error description library
ii  libgdbm3              1.8.3-4            GNU dbm database routines (runtime
ii  libgnutls26           2.4.2-4            the GNU TLS library - runtime libr
ii  libidn11              1.10-3             GNU libidn library, implementation
ii  libkrb53              1.6.dfsg.4~beta1-5 MIT Kerberos runtime libraries
ii  libncursesw5          5.7+20090110-1     shared libraries for terminal hand
ii  libsasl2-2            2.1.22.dfsg1-23    Cyrus SASL - authentication abstra

Versions of packages mutt recommends:
ii  esmtp-run [mail-transport-age 0.6.0-1    User configurable relay-only MTA
ii  locales-all [locales]         2.7-18     GNU C Library: Precompiled locale 
ii  mime-support                  3.44-1     MIME files 'mime.types' & 'mailcap

Versions of packages mutt suggests:
ii  aspell                      0.60.6-1     GNU Aspell spell-checker
ii  ca-certificates             20080809     Common CA certificates
ii  gnupg                       1.4.9-3      GNU privacy guard - a free PGP rep
ii  ispell                      3.1.20.0-4.4 International Ispell (an interacti
pn  mixmaster                   <none>       (no description available)
ii  openssl                     0.9.8g-15    Secure Socket Layer (SSL) binary a
ii  urlview                     0.9-18       Extracts URLs from text

Versions of packages mutt is related to:
ii  mutt                          1.5.19-1   text-based mailreader supporting M
pn  mutt-dbg                      <none>     (no description available)
pn  mutt-patched                  <none>     (no description available)

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 512534 530671. Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Fri, 12 Jun 2009 22:45:02 GMT) Full text and rfc822 format available.

Tags removed: moreinfo, unreproducible Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Fri, 19 Jun 2009 19:12:02 GMT) Full text and rfc822 format available.

Tags added: confirmed Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Fri, 19 Jun 2009 19:12:05 GMT) Full text and rfc822 format available.

Forcibly Merged 512534 530671 534912. Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Tue, 14 Jul 2009 18:24:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Sun, 20 Sep 2009 12:33:12 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:48:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.